Chromium Code Reviews
Help | Chromium Project | Sign in
(452)

Issue 23874015: Implement people search. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 7 months ago by Rahul Chaturvedi
Modified:
1 year, 7 months ago
Reviewers:
xiyuan, zel
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org, tfarina
Visibility:
Public.

Description

Implement people search. Implement a people search provider that uses the Google+ People Search endpoint. R=xiyuan@chromium.org BUG=267208 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=221642

Patch Set 1 #

Total comments: 37

Patch Set 2 : #

Patch Set 3 : #

Total comments: 2

Patch Set 4 : #

Total comments: 4

Patch Set 5 : #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+707 lines, -1149 lines) Patch
M chrome/app/generated_resources.grd View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/browser/ui/app_list/search/chrome_search_result.h View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/app_list/search/common/json_response_fetcher.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/app_list/search/common/json_response_fetcher.cc View 1 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/browser/ui/app_list/search/common/webservice_search_provider.h View 1 1 chunk +13 lines, -3 lines 0 comments Download
M chrome/browser/ui/app_list/search/common/webservice_search_provider.cc View 1 3 chunks +16 lines, -1 line 0 comments Download
M chrome/browser/ui/app_list/search/mixer.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/app_list/search/mixer.cc View 3 chunks +8 lines, -3 lines 0 comments Download
M chrome/browser/ui/app_list/search/mixer_unittest.cc View 1 chunk +2 lines, -0 lines 0 comments Download
A chrome/browser/ui/app_list/search/people/people_provider.h View 1 2 3 1 chunk +94 lines, -0 lines 0 comments Download
A chrome/browser/ui/app_list/search/people/people_provider.cc View 1 2 3 4 1 chunk +254 lines, -0 lines 0 comments Download
A + chrome/browser/ui/app_list/search/people/people_provider_browsertest.cc View 1 9 chunks +109 lines, -80 lines 0 comments Download
A chrome/browser/ui/app_list/search/people/people_result.h View 1 1 chunk +52 lines, -0 lines 0 comments Download
A chrome/browser/ui/app_list/search/people/people_result.cc View 1 1 chunk +84 lines, -0 lines 0 comments Download
M chrome/browser/ui/app_list/search/search_controller.cc View 2 chunks +8 lines, -1 line 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_cache.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_cache.cc View 1 chunk +1 line, -1 line 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_installer.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_installer.cc View 1 chunk +1 line, -1 line 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_provider.h View 1 4 chunks +5 lines, -15 lines 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_provider.cc View 1 5 chunks +9 lines, -18 lines 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_provider_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_result.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + chrome/browser/ui/app_list/search/webstore/webstore_result.cc View 2 chunks +2 lines, -2 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_cache.h View 1 chunk +0 lines, -51 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_cache.cc View 1 chunk +0 lines, -47 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_installer.h View 1 chunk +0 lines, -49 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_installer.cc View 1 chunk +0 lines, -34 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_provider.h View 1 1 chunk +0 lines, -82 lines 0 comments Download
chrome/browser/ui/app_list/search/webstore_provider.cc View 1 1 chunk +0 lines, -169 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_provider_browsertest.cc View 1 chunk +0 lines, -235 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_result.h View 1 chunk +0 lines, -90 lines 0 comments Download
D chrome/browser/ui/app_list/search/webstore_result.cc View 1 chunk +0 lines, -245 lines 0 comments Download
M chrome/chrome_browser_ui.gypi View 1 2 3 4 2 chunks +12 lines, -8 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 2 comments Download
Commit: CQ not working?

Messages

Total messages: 14 (0 generated)
Rahul Chaturvedi
1 year, 7 months ago (2013-09-04 20:12:18 UTC) #1
xiyuan
https://codereview.chromium.org/23874015/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/23874015/diff/1/chrome/browser/about_flags.cc#newcode1219 chrome/browser/about_flags.cc:1219: kOsDesktop, Note that app list does not exist for ...
1 year, 7 months ago (2013-09-04 23:15:41 UTC) #2
Rahul Chaturvedi
https://codereview.chromium.org/23874015/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/23874015/diff/1/chrome/browser/about_flags.cc#newcode1219 chrome/browser/about_flags.cc:1219: kOsDesktop, On 2013/09/04 23:15:41, xiyuan wrote: > Note that ...
1 year, 7 months ago (2013-09-04 23:48:01 UTC) #3
tfarina
https://codereview.chromium.org/23874015/diff/1/chrome/browser/ui/app_list/search/common/json_response_fetcher.h File chrome/browser/ui/app_list/search/common/json_response_fetcher.h (right): https://codereview.chromium.org/23874015/diff/1/chrome/browser/ui/app_list/search/common/json_response_fetcher.h#newcode32 chrome/browser/ui/app_list/search/common/json_response_fetcher.h:32: class JSONResponseFetcher : public net::URLFetcherDelegate { this probably can ...
1 year, 7 months ago (2013-09-04 23:49:52 UTC) #4
Rahul Chaturvedi
https://codereview.chromium.org/23874015/diff/1/chrome/browser/ui/app_list/search/common/json_response_fetcher.h File chrome/browser/ui/app_list/search/common/json_response_fetcher.h (right): https://codereview.chromium.org/23874015/diff/1/chrome/browser/ui/app_list/search/common/json_response_fetcher.h#newcode32 chrome/browser/ui/app_list/search/common/json_response_fetcher.h:32: class JSONResponseFetcher : public net::URLFetcherDelegate { On 2013/09/04 23:49:52, ...
1 year, 7 months ago (2013-09-04 23:57:30 UTC) #5
tfarina
https://codereview.chromium.org/23874015/diff/1/chrome/browser/ui/app_list/search/common/json_response_fetcher.h File chrome/browser/ui/app_list/search/common/json_response_fetcher.h (right): https://codereview.chromium.org/23874015/diff/1/chrome/browser/ui/app_list/search/common/json_response_fetcher.h#newcode32 chrome/browser/ui/app_list/search/common/json_response_fetcher.h:32: class JSONResponseFetcher : public net::URLFetcherDelegate { On 2013/09/04 23:57:30, ...
1 year, 7 months ago (2013-09-04 23:59:04 UTC) #6
xiyuan
LGTM https://codereview.chromium.org/23874015/diff/13001/chrome/browser/ui/app_list/search/people/people_provider.h File chrome/browser/ui/app_list/search/people/people_provider.h (right): https://codereview.chromium.org/23874015/diff/13001/chrome/browser/ui/app_list/search/people/people_provider.h#newcode87 chrome/browser/ui/app_list/search/people/people_provider.h:87: bool running_as_test_; nit: Maybe call this |skip_request_token_for_test_|?
1 year, 7 months ago (2013-09-05 02:23:56 UTC) #7
Rahul Chaturvedi
Adding Zel for OWNER's review of google_apis/gaia/ https://codereview.chromium.org/23874015/diff/13001/chrome/browser/ui/app_list/search/people/people_provider.h File chrome/browser/ui/app_list/search/people/people_provider.h (right): https://codereview.chromium.org/23874015/diff/13001/chrome/browser/ui/app_list/search/people/people_provider.h#newcode87 chrome/browser/ui/app_list/search/people/people_provider.h:87: bool running_as_test_; ...
1 year, 7 months ago (2013-09-05 21:00:58 UTC) #8
zel
https://codereview.chromium.org/23874015/diff/38001/chrome/browser/ui/app_list/search/people/people_provider.cc File chrome/browser/ui/app_list/search/people/people_provider.cc (right): https://codereview.chromium.org/23874015/diff/38001/chrome/browser/ui/app_list/search/people/people_provider.cc#newcode67 chrome/browser/ui/app_list/search/people/people_provider.cc:67: oauth2_scope_.insert(GaiaConstants::kPeopleSearchOAuth2Scope); no reason to have this as GaiaConstants, since ...
1 year, 7 months ago (2013-09-05 21:27:50 UTC) #9
Rahul Chaturvedi
https://codereview.chromium.org/23874015/diff/38001/chrome/browser/ui/app_list/search/people/people_provider.cc File chrome/browser/ui/app_list/search/people/people_provider.cc (right): https://codereview.chromium.org/23874015/diff/38001/chrome/browser/ui/app_list/search/people/people_provider.cc#newcode67 chrome/browser/ui/app_list/search/people/people_provider.cc:67: oauth2_scope_.insert(GaiaConstants::kPeopleSearchOAuth2Scope); On 2013/09/05 21:27:50, zel wrote: > no reason ...
1 year, 7 months ago (2013-09-05 21:57:25 UTC) #10
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rkc@chromium.org/23874015/43001
1 year, 7 months ago (2013-09-05 21:58:23 UTC) #11
zel
https://codereview.chromium.org/23874015/diff/43001/chrome/common/chrome_switches.cc File chrome/common/chrome_switches.cc (right): https://codereview.chromium.org/23874015/diff/43001/chrome/common/chrome_switches.cc#newcode663 chrome/common/chrome_switches.cc:663: const char kEnablePeopleSearch[] = "enable-people-search"; this should probably go ...
1 year, 7 months ago (2013-09-05 21:59:22 UTC) #12
Rahul Chaturvedi
https://codereview.chromium.org/23874015/diff/43001/chrome/common/chrome_switches.cc File chrome/common/chrome_switches.cc (right): https://codereview.chromium.org/23874015/diff/43001/chrome/common/chrome_switches.cc#newcode663 chrome/common/chrome_switches.cc:663: const char kEnablePeopleSearch[] = "enable-people-search"; On 2013/09/05 21:59:22, zel ...
1 year, 7 months ago (2013-09-05 22:00:43 UTC) #13
I haz the power (commit-bot)
1 year, 7 months ago (2013-09-06 08:20:10 UTC) #14
Message was sent while issue was closed.
Change committed as 221642
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e0e3771